Package: org.apache.groovy.groovysh

## [Groovy] Class Interpreter

- org.apache.groovy.groovysh.Interpreter

- All Implemented Interfaces and Traits:
    Evaluator

      @AutoFinal
      @CompileStatic
      class Interpreter
      extends Object
      implements Evaluator

  Helper to interpret a source buffer.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static String` | `SCRIPT_FILENAME` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Interpreter(ClassLoader classLoader, Binding binding, CompilerConfiguration configuration)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `evaluate(Collection<String> buffer)`
    `` | `GroovyClassLoader` | `getClassLoader()`
    `` | `Binding` | `getContext()`
    `` | `GroovyShell` | `getShell()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected static final String SCRIPT_FILENAME

  - ### Constructor Detail

    - #### Interpreter(ClassLoader classLoader, Binding binding, CompilerConfiguration configuration)

  - ### Method Detail

    - #### @Override
      @CompileDynamic
      Object evaluate(Collection<String> buffer)

    - #### GroovyClassLoader getClassLoader()

    - #### Binding getContext()

    - #### GroovyShell getShell()